# Interface Member

Represents the membership of a user in a conversation

interface Member {
state: "INVITED" | "JOINED" | "LEFT" | "UNKNOWN";
get channel(): Nullable<MemberChannelJS>;
get id(): string;
get timestamp(): Nullable<MemberTimestampJS>;
get user(): Nullable<UserJS>;
}

#####
Index

### Properties

state

### Accessors

channel
id
timestamp
user

## Properties

### state

state: "INVITED" | "JOINED" | "LEFT" | "UNKNOWN"

The member state

## Accessors

### channel

- get channel(): Nullable<MemberChannelJS>

- The member channel

  #### Returns Nullable<MemberChannelJS>

### id

- get id(): string

- The member id

  #### Returns string

### timestamp

- get timestamp(): Nullable<MemberTimestampJS>

- The member timestamp

  #### Returns Nullable<MemberTimestampJS>

### user

- get user(): Nullable<UserJS>

- The user associated to the member

  #### Returns Nullable<UserJS>